#include <Appearance.h>
#include <Balloons.h>	
#include <Controls.h>
#include <Devices.h>
#include <Gestalt.h>
#include <LowMem.h>
#include <Scrap.h>
#include <Sound.h>
#include <StandardFile.h>
#include <ToolUtils.h>
#include <NumberFormatting.h>
#include <TextUtils.h>
#include <String.h>

#include <stdio.h>


#define mApple					128
#define  iAbout					1
#define mFile						129
#define  iNew						1
#define  iOpen					2
#define  iClose					4
#define  iSave					5
#define  iSaveAs				6
#define  iRevert				7
#define  iQuit					12
#define mEdit						130
#define  iUndo					1
#define  iCut						3
#define  iCopy					4
#define  iPaste					5
#define  iClear					6
#define  iSelectAll				7
#define  iFind					9
#define  iPreferences			11
#define mProgram				131
#define  iAssemble				1
#define  iAssembleAndProgram	2
#define  iProgramNoAssemble		3
#define  iVerifyFlash			4
#define  iLockChip				6
#define  iSetFuses				7
#define mSerialPort				133

void 						doSetupMenus						(void);
void						doAdjustMenus						(void);
void						doMenuChoice						(SInt32);
void						doFileMenu							(SInt16);
void						doEditMenu							(SInt16);
void						doProgramMenu						(SInt16);
void						doHelpMenu							(SInt16);

