#include "Controls.r"
#include "Dialogs.r"
#include "ControlDefinitions.r"

resource 'DLOG' (132,purgeable)
{
	{0,0,200,500},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	132,
	"",
	centerMainScreen,
};

resource 'DITL' (132,purgeable)
{
	{
// Item 1
		{10,10,500,500},	
		Control
			{
				disabled,
				135
			},
// Item 2
		{166,232,186,290},
		Button
			{
				enabled,
				"OK"
			},
// Item 3			
		{166,21,186,79},
		Button
			{
				enabled,
				"Cancel"
			},
// Item 4		
		{35,21,52,175},
		Control
			{
				enabled,
				133
			},
// Item 5		
		{70,21,87,175},	
		Control
			{
				enabled,
				134
			},
// Item 6			
		{30,260,55,420},	
		Control
			{
				enabled,
				136
			},
// Item 7			
		{60,265,75,400},	
		CheckBox
			{
				enabled,
				"Reverse Signature"
			},
// Item 8			
		{85,265,100,400},	
		CheckBox
			{
				enabled,
				"Ignore Signature"
			},
// Item 9			
		{125,190,142,215},
		EditText
			{
				enabled,
				"1"
			},
// Item 10			
		{125,25,142,185},
		StaticText
			{
				disabled,
				"Max number of errors before exit"
			}
	}
};

resource 'CNTL' (133,preload,purgeable)
{
	{0,0,15,200},
	popupTitleLeftJust,
	visible,
	100,
	133,
	1008,
	0,
	"Serial Port:"
};

resource 'CNTL' (134,preload,purgeable)
{
	{0,0,15,200},
	popupTitleLeftJust,
	visible,
	100,
	134,
	1008,
	0,
	"Port Speed:"
};

resource 'CNTL' (135,preload,purgeable)
{
	{0,0,100,230},
	0,
	visible,
	1,
	0,
	kControlGroupBoxTextTitleProc,

	0,
	"Serial Communication"
};

resource 'CNTL' (136,preload,purgeable)
{
	{250,200,275,425},
	popupTitleLeftJust,
	visible,
	100,
	136,
	1008,
	0,
	"Chip Type:"
};