.device AT90S1200
.cseg
.org 0

.equ	DDRB = $17
.equ	PORTB = $18
.equ	OLC = 0
.equ ILC = 156

.macro   SHORTDELAY
         rcall DELAY
         .endmacro

RESET:	ldi	r16,255
	out	DDRB, r16
	ldi	r16, $FE

LOOP:	sec
	out	PORTB, r16
	ldi	r17, 5

LP1:	SHORTDELAY
	dec	r17
	brne	LP1

	rol	r16
	cpi	r16, $FF
	brne	LOOP
	dec	r16
	rjmp	LOOP

DELAY:	ldi	r22,	OLC
DL1:	ldi	r23, ILC
DL2:	rcall	DUMMY

	dec	r23
brne	DL2
dec	r22
brne	dl1
DUMMY:	ret
