#ifndef TEXTWINDOWSUPPORT_H
#define TEXTWINDOWSUPPORT_H

#include <AERegistry.h>
#include <Appearance.h>
#include <Balloons.h>	
#include <Controls.h>
#include <Devices.h>
#include <Dialogs.h>
#include <Gestalt.h>
#include <LowMem.h>
#include <Scrap.h>
#include <Sound.h>
#include <StandardFile.h>
#include <ToolUtils.h>
#include <NumberFormatting.h>
#include <TextUtils.h>
#include <ToolUtils.h>
#include <String.h>
#include "MacAVRpa.h"


typedef struct
{
	TEHandle			editRecHdl;
	ControlHandle 		vScrollbarHdl;
	AVRFileInfoHandle	AVRFileInfoHdl;
} docStructure, **docStructureHandle;


void 						doSetupTextUPPs						(void);
void						doKeyEvent							(SInt8);
pascal void  				scrollActionFunction				(ControlHandle,SInt16);
void						doInContent							(EventRecord *);
void  						doUpdateDocument					(WindowPtr);
void						doActivateDocWindow					(WindowPtr,Boolean);
WindowPtr					doNewDocWindow						(void);
pascal Boolean				customClickLoop						(void);
void						doSetScrollBarValue					(ControlHandle,SInt16 *);
SInt16						doGetSelectLength					(TEHandle);
void						doAdjustScrollbar					(WindowPtr);
void						doAdjustCursor						(WindowPtr);
void						doCloseWindow						(WindowPtr);
void						doDrawDataPanel						(WindowPtr);
long 						currentLineNum						(WindowPtr);
long 						currentCharacterPositionInLine		(WindowPtr);

//  global variables

extern 						ControlActionUPP			scrollActionFunctionUPP;
extern 						TEClickLoopUPP				customClickLoopUPP;



#endif