#include "avra.h"
#include <stdio.h>
#include <string.h>
#include "args.h"

char *Space(char *n);

void write_map_file(struct prog_info *pi)
	{
	FILE *fp;
	struct label *labelPtr;
	char File[200],*P;

	strcpy(File,(char *)pi->argsPtr->first_data->data);
	P = strstr(File,".");
	if( P ) *P = 0;
	strcat(File,".map");
	fp = fopen(File,"w");
	if( fp == NULL ) {
		fprintf(stderr,"Error: cannot write map file\n");
		return;
	}
	for(labelPtr = pi->first_constant; labelPtr; labelPtr = labelPtr->next)
		fprintf(fp,"%s%sC\t%04x\t%d\n",labelPtr->name,Space(labelPtr->name),labelPtr->value,labelPtr->value);

	for(labelPtr = pi->first_variable; labelPtr; labelPtr = labelPtr->next)
		fprintf(fp,"%s%sV\t%04x\t%d\n",labelPtr->name,Space(labelPtr->name),labelPtr->value,labelPtr->value);

	for(labelPtr = pi->first_label; labelPtr; labelPtr = labelPtr->next)
		fprintf(fp,"%s%sL\t%04x\t%d\n",labelPtr->name,Space(labelPtr->name),labelPtr->value,labelPtr->value);

	fprintf(fp,"\n");
	fclose(fp);
	return;
	}

char *Space(char *n) {
	int i;

	i = strlen(n);
	if( i < 1) return "\t\t\t";
	if( i < 8 ) return "\t\t";
	return "\t";
}

