#ifndef IOMACOS_H
#define IOMACOS_H

#include <MacTypes.h>
/* prototypes for serialDrivers.c

// the error code returned by our drivers*/

#define yesErr noErr + 1;

/* close the serial port*/

void serialClose 
	(long refnum);

/* open a serial port*/
	
OSErr serialOpen
	(long *refnum, 
	unsigned char* DriverInName, 
	unsigned char* DriverOutName, 
	long baud);

/*get number of characters available
	*/
OSErr serialNAvail 
	(long refnum, 
	long *navail);

/* read one character, return null if none availalble*/
	
OSErr serialReadChar 
	(long refnum, 
	unsigned char *c);
	
/* send one character*/

OSErr serialSendChar 
	(long refnum, 
	unsigned char c);

/* wait specified time period for return of characters*/

OSErr serialTimeout
	(long refnum,
	long howmany,
	long nticks);
	
/* flush the receive buffer*/

OSErr serialFlush
	(long refnum);
	
/* wait for data transmission to finish*/

OSErr serialXmitWait
	(long refnum);
	
#endif